# Authentication

To authenticate to the 2Checkout REST API include a header with the following structure into your requests:

**X-Avangate-Authentication: code="{VENDOR\_CODE}" date="{REQUEST\_DATE\_TIME}" hash="{HASH}" algo="{ALGO}"**

* **VENDOR\_CODE**: Your unique 2Checkout supplied merchant code.
* **REQUEST\_DATE\_TIME**: The **UTC** date time of the request. Format: **YYYY-MM-DD HH:MM:SS**. You must provide the time of the request in the **GMT** timezone.
* **HASH**: The hashmac digest with a SHA2/SHA3 hashing algorithm of the following: LEN(VENDOR\_CODE) + VENDOR\_CODE + LEN(REQUEST\_DATE\_TIME) + REQUEST\_DATE\_TIME. Use the **secret key** associated with your account for the hashing.

You must authenticate for all requests.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.2checkout.com/api-reference/reference/authentication.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
